com.independentsoft.exchange

## Enum LastVerbExecuted

- java.lang.Object
- - java.lang.Enum<LastVerbExecuted>
  - - com.independentsoft.exchange.LastVerbExecuted

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LastVerbExecuted>

      public enum LastVerbExecuted
      extends java.lang.Enum<LastVerbExecuted>

  Indicates the last action, such as reply or forward, that was taken on the message so that the client can display the appropriate icon.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORWARD` FORWARD.
    `NONE` Unknown.
    `REPLY_TO_ALL` REPLYTOALL.
    `REPLY_TO_SENDER` REPLYTOSENDER.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LastVerbExecuted` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LastVerbExecuted[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REPLY_TO_SENDER

          public static final LastVerbExecuted REPLY_TO_SENDER

      REPLYTOSENDER.

    - #### REPLY_TO_ALL

          public static final LastVerbExecuted REPLY_TO_ALL

      REPLYTOALL.

    - #### FORWARD

          public static final LastVerbExecuted FORWARD

      FORWARD.

    - #### NONE

          public static final LastVerbExecuted NONE

      Unknown.

  - ### Method Detail

    - #### values

          public static LastVerbExecuted[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LastVerbExecuted c : LastVerbExecuted.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LastVerbExecuted valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null